"use strict";

// import the base Disney park class

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var DisneyBase = require("./index.js");

/**
 * Hong Kong Disneyland
 * @class
 * @extends WaltDisneyWorldPark
 */

var HongKongDisneyland = function (_DisneyBase) {
    _inherits(HongKongDisneyland, _DisneyBase);

    /**
     * Create a new HongKongDisneyland object
     */
    function HongKongDisneyland() {
        var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

        _classCallCheck(this, HongKongDisneyland);

        options.name = options.name || "Hong Kong Disneyland";
        options.timezone = options.timezone || "Asia/Hong_Kong";

        // set park's location as it's entrance
        options.latitude = options.latitude || 22.3132;
        options.longitude = options.longitude || 114.0445;

        // Disney API configuration for Shanghai Magic Kingdom
        options.resort_id = options.resort_id || "hkdl";
        options.park_id = options.park_id || "desHongKongDisneyland";
        options.park_region = options.park_region || "INTL";

        // inherit from base class
        return _possibleConstructorReturn(this, (HongKongDisneyland.__proto__ || Object.getPrototypeOf(HongKongDisneyland)).call(this, options));
    }

    // I've never witnessed the facilities URL actually work in the live app, so disable it


    _createClass(HongKongDisneyland, [{
        key: "GetFacilitiesData",
        value: function GetFacilitiesData() {
            return Promise.resolve({});
        }
    }]);

    return HongKongDisneyland;
}(DisneyBase);

module.exports = HongKongDisneyland;
//# sourceMappingURL=hongkongdisneyland.js.map