"use strict";

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var DisneyTokyoPark = require("./index");

var GeoLocation = require("../geoLocation");

/**
 * Tokyo Disney Resort - Disney Sea
 * @class
 * @extends DisneyTokyoPark
 */

var TokyoDisneyResortDisneySea = function (_DisneyTokyoPark) {
    _inherits(TokyoDisneyResortDisneySea, _DisneyTokyoPark);

    /**
     * Create a new TokyoDisneyResortDisneySea object
     */
    function TokyoDisneyResortDisneySea() {
        var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

        _classCallCheck(this, TokyoDisneyResortDisneySea);

        options.name = options.name || "Tokyo Disney Resort - Disney Sea";
        options.timezone = options.timezone || "Asia/Tokyo";

        // set park's location as it's entrance
        options.latitude = options.latitude || 35.627055;
        options.longitude = options.longitude || 139.889097;

        // Magic Kingdom Park ID
        options.park_id = options.park_id || "tds";
        options.park_kind = options.park_kind || 2;

        // Geofence corners
        options.location_min = new GeoLocation({
            latitude: 35.6277563214705,
            longitude: 139.8811161518097
        });
        options.location_max = new GeoLocation({
            latitude: 35.62465172824325,
            longitude: 139.88948464393616
        });

        // inherit from base class
        return _possibleConstructorReturn(this, (TokyoDisneyResortDisneySea.__proto__ || Object.getPrototypeOf(TokyoDisneyResortDisneySea)).call(this, options));
    }

    return TokyoDisneyResortDisneySea;
}(DisneyTokyoPark);

module.exports = TokyoDisneyResortDisneySea;
//# sourceMappingURL=tokyodisneyresortdisneysea.js.map